Bug 188455 - Screensaver broken & crashes
Screensaver broken & crashes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 04:07 EDT by Stefan Behrens
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 09:25:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The X conf I normally use (3.18 KB, text/plain)
2007-04-18 14:01 EDT, Stefan Behrens
no flags Details
X log when booting with xorg.conf.normal (64.97 KB, text/plain)
2007-04-18 14:02 EDT, Stefan Behrens
no flags Details
X conf after removing xorg.conf & autoconfiguring (2.75 KB, text/plain)
2007-04-18 14:02 EDT, Stefan Behrens
no flags Details
X log when booting with xorg.conf.auto (65.30 KB, text/plain)
2007-04-18 14:03 EDT, Stefan Behrens
no flags Details

  None (edit)
Description Stefan Behrens 2006-04-10 04:07:55 EDT
Description of problem:
I'm using FC5 on two machines. On both I had problems with the OpenGL
screensavers in KDE.
1. Both machines crashed while klicking "Test" for OpenGL screensavers
   in kcontrol. Machines had to be rebooted.
2. On one(notebook), OpenGL screensavers often fill only the upper third
   of the screen.

Version-Release number of selected component (if applicable):
X11 as delivered with FC5 CDs. kernel2.6.16-1.2080.i386

How reproducible:
Crash: sometimes
Display: always

Steps to Reproduce:
1.KDE control center->Screensavers
2.Select one OpenGL screensaver
3.Klick test
  
Actual results:
See above

Expected results:
Should not crash the machine at least

Additional info:
I have no other gfx related problems.
Glxinfo output looks ok.
One machine uses Radeon9000, the other Intel i810/915.
Comment 1 Mike A. Harris 2006-05-23 08:18:10 EDT
This bug will represent the Radeon 9000 problem reported.  

For the Radeon system:

Configure your machine to boot into runlevel 3, then start X manually using
"startx".  Reproduce the crash, then reboot into runlevel 3 again (do not
start X).  Make a backup copy of the X server log file and config file, then
attach them to the bug report as individual uncompressed file attachments.

You can try this on the Intel system as well, but file a separate bug
report for the problem you're having on the Intel hardware.  While you
may be having the same end result crash from doing the same thing on 2
different brands of video hardware, the core problem is likely to be
video driver (or kernel module) specific.

Comment 2 Stefan Behrens 2006-05-25 12:34:59 EDT
Created bug 193138
for Intel i810 platform
Comment 3 Søren Sandmann Pedersen 2006-09-07 21:22:32 EDT
Has to be some sort of driver problem.
Comment 4 Matěj Cepl 2007-04-04 18:09:42 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the latest release of Fedora (FC6)? If yes, please, attach to this bug your X
server config file (/etc/X11/xorg.conf) and X server log file
(/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.


Comment 5 Stefan Behrens 2007-04-13 10:45:58 EDT
I'm sorry but I cannot provide the requested input.
My machines have not been upgraded to FC6 and most
likely they will never be.

br/Stefan.
Comment 6 Matěj Cepl 2007-04-16 10:33:48 EDT
Well, FC5 is still supported distro, so if you could give us updated information
for FC5 (updated against current repos), it would be helpful as well.
Comment 7 Stefan Behrens 2007-04-18 13:57:09 EDT
I tested all GL screensavers on both machines with FC5 last updated
about a month ago, on both machines.
No crashes.
However, on the i810 notebook some screensavers still only fill the upper
part of the screen (i.e. flux, particle fountain, euphoria).
Not so serious.
Just in case you're interested I attach Xlog and conf for my "normal"
setup and once after removing and "autodetecting" xorg.conf.
BTW. this procedure left me with a max res of 800x600.
But well, it's a notebook ;-(

br/Stefan.
Comment 8 Stefan Behrens 2007-04-18 14:01:06 EDT
Created attachment 152936 [details]
The X conf I normally use
Comment 9 Stefan Behrens 2007-04-18 14:02:00 EDT
Created attachment 152937 [details]
X log when booting with xorg.conf.normal
Comment 10 Stefan Behrens 2007-04-18 14:02:44 EDT
Created attachment 152938 [details]
X conf after removing xorg.conf & autoconfiguring
Comment 11 Stefan Behrens 2007-04-18 14:03:30 EDT
Created attachment 152939 [details]
X log when booting with xorg.conf.auto
Comment 12 Stefan Behrens 2007-04-18 14:24:06 EDT
Just to say it explicitly, there is no difference,
no matter which of the two attached xorg.conf I use.
Comment 13 Matěj Cepl 2007-05-22 09:25:34 EDT
OK, so the only problem which remains is what is covered by bug 193138. So this
is being closed as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.